Bug 4649 - smbc_removexattr crashes
smbc_removexattr crashes
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.25
Other Other
: P3 normal
: none
Assigned To: Derrell Lipman
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 08:10 UTC by Henrik
Modified: 2007-08-15 08:49 UTC (History)
1 user (show)

See Also:


Attachments
Testprogram to reproduce the bug (2.52 KB, application/zip)
2007-05-23 08:11 UTC, Henrik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik 2007-05-23 08:10:50 UTC
Hello Derrell,

Found another bug in libsmbclinet. This time in smbc_removexattr.
Using Version 3.0.25b-SVN-build-23088

Trying to remove all acls crash the program
-------------------------------------------
$ ./testacl -D system.nt_sec_desc.* smb://10.168.1.133/C$/acl/moo
Workgroup: [KIC]
Username: [jonas] admin
Password: admin
*** glibc detected *** free(): invalid pointer: 0x080e5698 ***
Aborted
Comment 1 Henrik 2007-05-23 08:11:44 UTC
Created attachment 2723 [details]
Testprogram to reproduce the bug
Comment 2 Derrell Lipman 2007-08-13 12:49:19 UTC
The crash should be fixed by r2437 and r24378.  Deleting of an ACL still doesn't work, however.  It does not appear that we're sending the correct flags.  Still working on it.

Derrell
Comment 3 Derrell Lipman 2007-08-15 08:49:03 UTC
Deleting ACLs now works.  It sets the number of ACEs to zero.  Closing.